Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.util.concurrent
Class ConcurrentHashMap.Entry

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.ConcurrentHashMap.Entry

All Implemented Interfaces:
  Map.Entry

Enclosing class:
  ConcurrentHashMap

    protected static class ConcurrentHashMap.Entry

extends Object
implements Map.Entry

Constructor Summary
`protected` | `ConcurrentHashMap.Entry(int h, Object k, Object v, ConcurrentHashMap.Entry n)` Create new entry.

Method Summary
`protected Object` | `clone()`
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`Object` | `getValue()`
`int` | `hashCode()`
`Object` | `setValue(Object newValue)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentHashMap.Entry

    protected ConcurrentHashMap.Entry(int h,
                                      Object k,
                                      Object v,
                                      ConcurrentHashMap.Entry n)

  Create new entry.

Method Detail

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `Map.Entry`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Map.Entry`

### setValue

    public Object setValue(Object newValue)

  Specified by:
    `setValue` in interface `Map.Entry`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.